Services
========

This is a public directory of all known public services made available through the CRXN inter-network. Any domains listed here need resolution via the root server specified in the section below.

## DNS

We have a DNS root nameserver at at **[fd8a:6111:3b1a:dddd::1]()**.

You can find all records here:

1. [http://git.redxen.crxn/RedXen/aports/src/branch/master/config/unbound/zones/crxn](http://git.redxen.crxn/RedXen/aports/src/branch/master/config/unbound/zones/crxn)
2. [http://git.redxen.eu/RedXen/aports/src/branch/master/config/unbound/zones/crxn](http://git.redxen.eu/RedXen/aports/src/branch/master/config/unbound/zones/crxn)

## Git hosting

There are various instances ranging from personal ones to public-use ones.

* RedXen's Gitea
	- [http://git.redxen.crxn:80](http://git.redxen.crxn:80)
	- DNS: `git.redxen.crxn`
* [git.redxen.crxn:2442]() - SSH access to above Git server
* Deavmi's Gitea
	- IP: `10.0.0.8`
	- Port: `3000`
	- DNS: `silverfish.community.deavmi.crxn`

## Forums

* [bruh forum](http://10.18.1.1/bruh)
	- This is a 4chan-like imageboard (sans the images part)
	- IP and Port: `10.18.1.1:80`
* [crxn forum](http://10.18.1.1/crxn)
	- This is the official CRXN forum
	- IP and Port: `10.18.1.1:80`
* [Bunkerchan](http://10.4.2.1:8080)
	- IP: `10.4.2.1`
	- IP: `fd8a:6111:3b1a:ab00::1`
	- Port: `8080`
	
## VoIP

* Deavmi's MumbleShack Mumble
	- Vanilla mumble server
	- IP: `10.0.0.2`
	- DNS: `bester.community.deavmi.crxn`
	- Port: `64738`
* RedXen's Mumble
	- Customized Mumble server
	- IP: `fd8a:6111:3b1a:dddd::4`
	- DNS: `arisu.falkenstein.hetzner.redxen.crxn`
	- Port: `64738`
* redandblack's Mumble
	- IP: `10.4.2.1`
	- IP: `fd8a:6111:3b1a:ab00::1`
	- Port: `64738`

## IRC

* reddawn648's IRC server (BNET)
	- IP: `10.6.4.1`
	- IP: `fd8a:6111:3b1a:ffff::1`
	- DNS: `excalibur.gustav.crxn`
	- Port: `6667`
	- Port: `6697`
* Deavmi's lockdown.bnet IRC server (BNET)
	- IP: `10.0.0.2`
	- IP: `fd8a:6111:3b1a:bbbb::2`
	- DNS: `lockdown.bnet.deavmi.crxn`
	- Port: `6667`
	- Port: `6697`
* zhoreeq's zhoreeq.bnet IRC server (BNET)
	- IP: `10.18.1.7`
	- IP: `fd8a:6111:3b1a:ac00::7`
	- Port: `6667`
	- Port: `6697`
	- DNS: `ceo-of-mesh.zhoreeq.crxn`
* Skiqqy's IRC server (BNET)
	- IP: `10.6.6.1`
	- Port: `6667`

## Pastebins

* redandblacks's Hastebin
 	- IP: `10.4.2.1`
 	- IP: `fd8a:6111:3b1a:ab00::1`
 	- Port: `80`

## Websites

* Deavmi's personal homepage and blog
	- IP: `10.1.0.2`
	- IP: `fd8a:6111:3b1a:aaaa::3`
	- Port: `80`
	- DNS: `deavmi.crxn`
* Skiqqy's personal homepage and blog
	- IP: `10.6.6.1`
	- Port: `80`
* Meme Site (Imagine 9GAG + IPFS)
 	- IP: `10.18.1.7`
 	- Port: `80`

## Diagnostics

* BabelWeb
	- IP: `10.1.0.2`
	- IP: `fd8a:6111:3b1a:aaaa::3`
	- Port: `4444`
	- DNS: `personal.home.deavmi.crxn`

## Gaming

* Xonotic Server
	- IP: `fd8a:6111:3b1a:dddd::1`
	- DNS: `xonotic.redxen.crxn`
	- Port: `26000`
* Minetest Server
	- IP: `10.4.2.1`
	- IP: `fd8a:6111:3b1a:ab00::1`
	- Port: `30000`
